19 Октябрь 2017, 08:37:11Последний пользователь: Macfleg
Ace Stream Forum » Базовые продукты ACE Stream ( Torrent Stream ) » Анонсы и Релизы  » Test Ace Stream software 2.1 (for Debian/Ubuntu) (En)
Страниц: 1 [2]   Вниз
  Отправить эту тему  |  Печать  
Автор Тема: Test Ace Stream software 2.1 (for Debian/Ubuntu) (En)  (Прочитано 924891 раз)
0 Пользователей и 2 Гостей смотрят эту тему.
tfouto
Newbie
*
Оффлайн Оффлайн
Сообщений: 1

Email
« Ответ #15 : 07 Февраль 2014, 20:28:15 »

Hi,

Can you compile an ARM version, so we can use it on raspberry pi, please?

You dont need to have a raspberry pi to do that, as you can emulate the OS in windows or linux. Also you dont need to compile the python modules neither openssl for the program to work. You just need to install the modules as apt-get packages and compile the main source as if it is any regular linux distro.

So using linux/windows and using qemu and use it as a development environment to compile the program:

http://xecdesign.com/qemu-emulating-raspberry-pi-the-easy-way/

Also most of the required dependencies are available through debian packages:

sudo apt-get install python-M2Crypto python-amf python-apsw

So you have only to install the modules and compile the original source in the emulator, exactly as  you did with any other linux distro.

Also with qemu you can enable ssh/ftp on the guest machine so it's quite easy to get the compiled files to the host computer.

There are 2 millions of people who bought already the raspberry pi. Most of people is using XBMC. There is a addon for it which runs Sopcast and Acestream. All platforms run fine except raspberry pi for AceStream engine which is outdated and dont work properly. Using AceStream on a such a low cost device like the raspberry pi could be a way to expand enormously your user base.

We dont have the source code, so we cant do it...

Thanks.
Сообщить модератору   Записан
tsoifun
Newbie
*
Оффлайн Оффлайн
Сообщений: 4

Email
« Ответ #16 : 10 Март 2014, 10:36:20 »

I have acestreamening running on a machine with ubunut 13.04:
acestreamengine --client-console

2014-03-10 01:26:30,904|acestream|enable debug: 0
2014-03-10 01:26:30,908|acestream|version=2.1.6 revision=293 date=2013-09-18
2014-03-10 01:26:30,910|acestream|get_default_api_version: 2
2014-03-10 01:26:30,911|acestream.coreapp|use fixed i2i_port: 62062
2014-03-10 01:26:31,222|acestream.SocketHandler.InterruptSocket|bound on 127.0.0.1:49648
2014-03-10 01:26:31,223|acestream.LM|listen on 8621
2014-03-10 01:26:31,285|acestream.VideoServer|start: addr=127.0.0.1 port=6878
2014-03-10 01:26:31,290|acestream.SocketHandler.InterruptSocket|bound on 127.0.0.1:57969
2014-03-10 01:26:31,298|acestream.APIServer|run: ready to receive remote commands on 62062
-----------------------------------------------
But cannot connect to this port from other machines. I have no firewall installed.
Сообщить модератору   Записан
matteosistisette
Newbie
*
Оффлайн Оффлайн
Сообщений: 2

Email
« Ответ #17 : 17 Март 2014, 01:02:14 »

The ubuntu packages are broken. The dependency are not handled properly:

Цитировать
$ sudo apt-get install acestream-full
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 acestream-full : Depends: acestream-player (>= 2.1.6-1raring2) but it is not going to be installed
                  Depends: acestream-mozilla-plugin (>= 2.1.6-1raring2) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

If that package depends on that other package, it should install it automatically!!
Сообщить модератору   Записан
matteosistisette
Newbie
*
Оффлайн Оффлайн
Сообщений: 2

Email
« Ответ #18 : 17 Март 2014, 01:04:36 »

Oh, I see... I guess it's because the package is for raring. How to install on saucy??
Сообщить модератору   Записан
ursli
Newbie
*
Оффлайн Оффлайн
Сообщений: 1

Email
« Ответ #19 : 20 Март 2014, 20:28:55 »

I am getting bad bencoded data for some streams on my ubuntu machine with acestream 2.1.6, on windows we're at acestream 2.2 which seems to work fine, any chance for updated acestream package for linux?

2014-03-20 17:00:55,283|acestream.BGInstanceConnection|send AUTH 0
2014-03-20 17:00:55,284|acestream.coreapp|got command: USERDATA [{"gender": 1}, {"age": 3}]
2014-03-20 17:00:55,335|acestream.coreapp|got command: LOADASYNC 0 PID 6b8ae28afd217b034baa4125b4fa54c9c1bd02cf
2014-03-20 17:00:55,587|acestream.BGInstanceConnection|send_load_response: request_id=0 response={"status": 100, "message": "bad bencoded data"}
Сообщить модератору   Записан
zoltar32
Newbie
*
Оффлайн Оффлайн
Сообщений: 1

Email
« Ответ #20 : 20 Апрель 2014, 09:38:11 »

hey guys, just wondering if a PPA for ubuntu 14.04 is in preparation and if it will be available anytime soon?

Сообщить модератору   Записан
Страниц: 1 [2]   Вверх
  Отправить эту тему  |  Печать